<?php
// Version: 2.0 RC5; index

/*	This template is, perhaps, the most important template in the theme. It
	contains the main template layer that displays the header and footer of
	the forum, namely with main_above and main_below. It also contains the
	menu sub template, which appropriately displays the menu; the init sub
	template, which is there to set the theme up; (init can be missing.) and
	the linktree sub template, which sorts out the link tree.

	The init sub template should load any data and set any hardcoded options.

	The main_above sub template is what is shown above the main content, and
	should contain anything that should be shown up there.

	The main_below sub template, conversely, is shown after the main content.
	It should probably contain the copyright statement and some other things.

	The linktree sub template should display the link tree, using the data
	in the $context['linktree'] variable.

	The menu sub template should display all the relevant buttons the user
	wants and or needs.

	For more information on the templating system, please see the site at:
	http://www.simplemachines.org/
*/

// Initialize the template... mainly little settings.
function template_init()
{
	global $context, $settings, $options, $txt;
	

	/* Use images from default theme when using templates from the default theme?
		if this is 'always', images from the default theme will be used.
		if this is 'defaults', images from the default theme will only be used with default templates.
		if this is 'never' or isn't set at all, images from the default theme will not be used. */
	$settings['use_default_images'] = 'never';

	/* What document type definition is being used? (for font size and other issues.)
		'xhtml' for an XHTML 1.0 document type definition.
		'html' for an HTML 4.01 document type definition. */
	$settings['doctype'] = 'xhtml';

	/* The version this template/theme is for.
		This should probably be the version of SMF it was created for. */
	$settings['theme_version'] = '2.0 RC5';

	/* Set a setting that tells the theme that it can render the tabs. */
	$settings['use_tabs'] = true;

	/* Use plain buttons - as opposed to text buttons? */
	$settings['use_buttons'] = true;

	/* Show sticky and lock status separate from topic icons? */
	$settings['separate_sticky_lock'] = true;

	/* Does this theme use the strict doctype? */
	$settings['strict_doctype'] = false;

	/* Does this theme use post previews on the message index? */
	$settings['message_index_preview'] = false;

	/* Set the following variable to true if this theme requires the optional theme strings file to be loaded. */
	$settings['require_theme_strings'] = false;
	
	/*********************** Theme changer code block 1 *************************************/
	$settings['theme_variants'] = array('Original', 'Red', 'Purple');
	/*********************** Theme changer code block 1 *************************************/
}

// The main sub template above the content.
function template_html_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// Show right to left and the character set for ease of translating.
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
<head>';

	// The ?rc5 part of this link is just here to make sure browsers don't cache it wrongly.
	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/index', $context['theme_variant'], '.css?rc5" />';

	// Some browsers need an extra stylesheet due to bugs/compatibility issues.
	foreach (array('ie7', 'ie6', 'webkit') as $cssfix)
		if ($context['browser']['is_' . $cssfix])
			echo '
	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/css/', $cssfix, '.css" />';

	// RTL languages require an additional stylesheet.
	if ($context['right_to_left'])
		echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/rtl.css" />';

	// Here comes the JavaScript bits!
	echo '
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js"></script>
	<script type="text/javascript" src="', $settings['theme_url'], '/scripts/jquery.marquee.js"></script>
	<script type="text/javascript">
		$(document).ready(function() {
		
			$(\'div.pointer\').marquee(\'pointer\').mouseover(function () {
            $(this).trigger(\'stop\');
			}).mouseout(function () {
				$(this).trigger(\'start\');
			}).mousemove(function (event) {
				if ($(this).data(\'drag\') == true) {
					this.scrollLeft = $(this).data(\'scrollX\') + ($(this).data(\'x\') - event.clientX);
				}
			}).mousedown(function (event) {
				$(this).data(\'drag\', true).data(\'x\', event.clientX).data(\'scrollX\', this.scrollLeft);
			}).mouseup(function () {
				$(this).data(\'drag\', false);
			});
		
			// for the left filler in header
			var window_width = $(window).width();
			var half_window_width = window_width / 2;
			var filler_width = half_window_width - 500;
			if(filler_width >= 0)
			{
				$("#cadence_header_filler").width(filler_width);
			}
			else
			{
				$("#cadence_header_filler").width(0);
			}
		
		
			$(window).resize(function() {
				var window_width = $(window).width();
				var half_window_width = window_width / 2;
				var filler_width = half_window_width - 500;
				
				if(filler_width >= 0)
				{
					$("#cadence_header_filler").width(filler_width);
				}
				else
				{
					$("#cadence_header_filler").width(0);
				}
			});
		});
	</script>
	<script type="text/javascript">
		function clickclear(thisfield, defaulttext) {
		if (thisfield.value == defaulttext) {
		thisfield.value = "";
			}
		}

		function clickrecall(thisfield, defaulttext) {
		if (thisfield.value == "") {
		thisfield.value = defaulttext;
			}
		}
	</script>
	
	<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/script.js?rc5"></script>
	<script type="text/javascript" src="', $settings['theme_url'], '/scripts/theme.js?rc5"></script>
	<script type="text/javascript"><!-- // --><![CDATA[
		var smf_theme_url = "', $settings['theme_url'], '";
		var smf_default_theme_url = "', $settings['default_theme_url'], '";
		var smf_images_url = "', $settings['images_url'], '";
		var smf_scripturl = "', $scripturl, '";
		var smf_iso_case_folding = ', $context['server']['iso_case_folding'] ? 'true' : 'false', ';
		var smf_charset = "', $context['character_set'], '";', $context['show_pm_popup'] ? '
		var fPmPopup = function ()
		{
			if (confirm("' . $txt['show_personal_messages'] . '"))
				window.open(smf_prepareScriptUrl(smf_scripturl) + "action=pm");
		}
		addLoadEvent(fPmPopup);' : '', '
		var ajax_notification_text = "', $txt['ajax_in_progress'], '";
		var ajax_notification_cancel_text = "', $txt['modify_cancel'], '";
	// ]]></script>';

	echo '
	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
	<meta name="description" content="', $context['page_title_html_safe'], '" />', !empty($context['meta_keywords']) ? '
	<meta name="keywords" content="' . $context['meta_keywords'] . '" />' : '', '
	';
	
	
	// so the ie looks good...
	echo '
	<!--[if IE]>
		<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
	<![endif]-->
	';
	
	echo '
	<title>', $context['page_title_html_safe'], '</title>';

	// Please don't index these Mr Robot.
	if (!empty($context['robot_no_index']))
		echo '
	<meta name="robots" content="noindex" />';

	// Present a canonical url for search engines to prevent duplicate content in their indices.
	if (!empty($context['canonical_url']))
		echo '
	<link rel="canonical" href="', $context['canonical_url'], '" />';

	// Show all the relative links, such as help, search, contents, and the like.
	echo '
	<link rel="help" href="', $scripturl, '?action=help" />
	<link rel="search" href="', $scripturl, '?action=search" />
	<link rel="contents" href="', $scripturl, '" />';

	// If RSS feeds are enabled, advertise the presence of one.
	if (!empty($modSettings['xmlnews_enable']) && (!empty($modSettings['allow_guestAccess']) || $context['user']['is_logged']))
		echo '
	<link rel="alternate" type="application/rss+xml" title="', $context['forum_name_html_safe'], ' - ', $txt['rss'], '" href="', $scripturl, '?type=rss;action=.xml" />';

	// If we're viewing a topic, these should be the previous and next topics, respectively.
	if (!empty($context['current_topic']))
		echo '
	<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" />
	<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />';

	// If we're in a board, or a topic for that matter, the index will be the board's index.
	if (!empty($context['current_board']))
		echo '
	<link rel="index" href="', $scripturl, '?board=', $context['current_board'], '.0" />';

	// Output any remaining HTML headers. (from mods, maybe?)
	echo $context['html_headers'];

	echo '
</head>
<body>';
}

function template_body_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;
	
	
	cadence_header();
	
	cadence_nav_bar();

	echo '
<div id="wrapper">
';
	// Show the navigation tree.
	theme_linktree();

echo '
	<div class="wrapper_top"></div>
	
	<div class="wrapper_middle">
	
';		

		// The main content should go here.
		echo '
		<div id="content_section"><div class="frame">
			<div id="main_content_section">';

		// Custom banners and shoutboxes should be placed here, before the linktree.
	
}

function template_body_below()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
			</div>
		</div></div>';
		
	// wrapper middle end
	echo '
	</div>
	<div class="wrapper_bottom"></div>
	';

		// Show the "Powered by" and "Valid" logos, as well as the copyright. Remember, the copyright must be somewhere!
		echo '
		<div id="footer_section"><div class="frame">
			<ul class="reset">
		';
		
				/*********** Theme changer code block 2 - this block requires the switcher class added in css file ******************/
				/*
				if($settings['show_skin_change_to_members'])
				{
					echo '
					<li class="switcher">
						 <div id="switcher">
							', $txt['change_skin'] ,'
					';
							if ($context['theme_variant'] != "_theme1")
							  echo '<a style="height:5px;width:5px;background-color:#0396A0;border:1px solid #000;display:inline;float:left;margin-right: 2px;" href="?variant=theme1"></a>';
							if ($context['theme_variant'] != "_theme2")
							  echo '<a style="height:5px;width:5px;background-color:#A00303;border:1px solid #000;display:inline;float:left;margin-right: 2px;" href="?variant=theme2"></a>';
							if ($context['theme_variant'] != "_theme3")
							  echo '<a style="height:5px;width:5px;background-color:#A0039A;border:1px solid #000;display:inline;float:left;margin-right: 2px;" href="?variant=theme3"></a>';
					echo '
						</div>
					</li>
					';
				}
				*/
				 /********************************** Theme changer code block 2 end *************************************/
		
		echo '
				<li class="copyright">', theme_copyright(), '</li>
				<li class="copyright">Theme by MLM on <a href="http://visualpulse.net/">VisualPulse.net</a></li>
			</ul>';

		// Show the load time?
		if ($context['show_load_time'])
			echo '
			<p>', $txt['page_created'], $context['load_time'], $txt['seconds_with'], $context['load_queries'], $txt['queries'], '</p>';

		echo '
		</div></div>
';
	
echo '
</div>';

}

function template_html_below()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
</body></html>';
}

// Show a linktree. This is that thing that shows "My Community | General Category | General Discussion"..
function theme_linktree($force_show = false)
{
	global $context, $settings, $options, $shown_linktree;

	// If linktree is empty, just return - also allow an override.
	if (empty($context['linktree']) || (!empty($context['dont_default_linktree']) && !$force_show))
		return;

	echo '
	<div class="navigate_section">
		<ul>';

	// Each tree item has a URL and name. Some may have extra_before and extra_after.
	foreach ($context['linktree'] as $link_num => $tree)
	{
		echo '
			<li', ($link_num == count($context['linktree']) - 1) ? ' class="last"' : '', '>';

		// Show something before the link?
		if (isset($tree['extra_before']))
			echo $tree['extra_before'];

		// Show the link, including a URL if it should have one.
		echo $settings['linktree_link'] && isset($tree['url']) ? '
				<a href="' . $tree['url'] . '"><span>' . $tree['name'] . '</span></a>' : '<span>' . $tree['name'] . '</span>';

		// Show something after the link...?
		if (isset($tree['extra_after']))
			echo $tree['extra_after'];

		// Don't show a separator for the last one.
		if ($link_num != count($context['linktree']) - 1)
			echo ' &#187;';

		echo '
			</li>';
	}
	echo '
		</ul>
	</div>';

	$shown_linktree = true;
}

// Generate a strip of buttons.
function template_button_strip($button_strip, $direction = 'top', $strip_options = array())
{
	global $settings, $context, $txt, $scripturl;

	if (!is_array($strip_options))
		$strip_options = array();

	// List the buttons in reverse order for RTL languages.
	if ($context['right_to_left'])
		$button_strip = array_reverse($button_strip, true);

	// Create the buttons...
	$buttons = array();
	foreach ($button_strip as $key => $value)
	{
		if (!isset($value['test']) || !empty($context[$value['test']]))
			$buttons[] = '
				<li><a' . (isset($value['id']) ? ' id="button_strip_' . $value['id'] . '"' : '') . ' class="button_strip_' . $key . (isset($value['active']) ? ' active' : '') . '" href="' . $value['url'] . '"' . (isset($value['custom']) ? ' ' . $value['custom'] : '') . '><span>' . $txt[$value['text']] . '</span></a></li>';
	}

	// No buttons? No button strip either.
	if (empty($buttons))
		return;

	// Make the last one, as easy as possible.
	$buttons[count($buttons) - 1] = str_replace('<span>', '<span class="last">', $buttons[count($buttons) - 1]);

	echo '
		<div class="buttonlist', !empty($direction) ? ' float' . $direction : '', '"', (empty($buttons) ? ' style="display: none;"' : ''), (!empty($strip_options['id']) ? ' id="' . $strip_options['id'] . '"': ''), '>
			<ul>',
				implode('', $buttons), '
			</ul>
		</div>';
}

function cadence_header()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
		<div class="cadence_header_holder">
			<div id="cadence_header_filler" class="cadence_header_left floatleft"></div>

			<div class="cadence_header_main">
				<div class="floatleft">
					<div class="cadence_header_news_scroller">
						<div class="cadence_header_news_scroller_aligner">
';
							// Show a random news item? (or you could pick one from news_lines...)
							if (!empty($settings['enable_news']))
							{
								// replace the dumb <br> for multiline news :0 so it fits in the space provided...
								$pattern = array('<br />', '<br>');
								$replacement = '&nbsp;---&nbsp;';
								$context['random_news_line'] = str_replace($pattern, $replacement, $context['random_news_line']);
							
								echo '
										<div class="cadence_header_news_scroller_news_text floatleft">
											', $txt['news'], ':&nbsp;
										</div>
										<div class="cadence_header_news_scroller_text floatleft">
											<div class="pointer">
												', $context['random_news_line'] , '
											</div>
										</div>
								';
							}
echo '
						</div>
					</div>
					
					<div class="cadence_header_banner floatleft"><a class="cadence_banner_link" href="', $scripturl ,'">', empty($context['header_logo_url_html_safe']) ? '<img src="'. $settings['images_url'] .'/'. $context['theme_variant_url'] .'spec/cadence_banner.png" alt="' . $context['forum_name'] . '" />' : '<img src="' . $context['header_logo_url_html_safe'] . '" alt="' . $context['forum_name'] . '" />', '</a></div>
					
					<div class="cadence_header_search_holder floatleft">
					
						<form id="search_form" class="cadence_header_search_form" action="', $scripturl, '?action=search2" method="post" accept-charset="', $context['character_set'], '">
							<input class="cadence_header_search_form_input cadence_search_form_search_area input_text" type="text" name="search" value="', $txt['search'], '..." onclick="clickclear(this, \''. $txt['search'] .'...\')" onblur="clickrecall(this,\''. $txt['search'] .'...\')" />
							<input class="cadence_header_search_form_input cadence_search_form_search_button button_submit" type="submit" name="submit" value="&#187;" />
							<input type="hidden" name="advanced" value="0" />
';
							// Search within current topic?
							if (!empty($context['current_topic']))
							{
								echo '
									<input type="hidden" name="topic" value="', $context['current_topic'], '" />
								';
							}
							// If we're on a certain board, limit it to this board ;).
							elseif (!empty($context['current_board']))
							{
								echo '
									<input type="hidden" name="brd[', $context['current_board'], ']" value="', $context['current_board'], '" />
								';
							}
echo '
						</form>
					</div>
				</div>
				
				<div class="floatright">
				
				</div>
			
			</div>
			<div class="clear"></div>
		</div>
	';
	
}

function cadence_nav_bar()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
		<div class="cadence_navbar_holder">
			<div class="cadence_navbar_background">
				<div class="cadence_navbar_item_holder">
					<div class="floatleft">
	';
	foreach($context['menu_buttons'] as $act => $button)
	{
		echo '
					<div class="cadence_navbar_item', $button['active_button'] ? '_active ' : '' ,' cadence_navbar_item_link">
						<a class="cadence_navbar_item_link', $button['active_button'] ? '_active ' : '' ,'" href="', $button['href'], '">
							<small>', $button['title'], '</small>
						</a>
					</div>
		';
	}
	
	echo '
					</div>
	';
	
	echo '
					<div class="clear"></div>
				<!--nav_bar_item_holder end-->
				</div>
			<!--nav_bar_background end-->
			</div>
		<!--nav_bar_holder end-->
		</div>
	';
}

?>